Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 26297)
@@ -42,18 +42,20 @@
 				shp = dlg.mark.getShape();
 			if (portButton.isSelected() || prefPortButton.isSelected()) {
-				dlg.panelMain.topButton.setEnabled(true);
-				dlg.panelMain.fogButton.setEnabled(true);
-				dlg.panelMain.radButton.setEnabled(true);
-				dlg.panelMain.litButton.setEnabled(true);
 				dlg.panelMain.panelTop.enableAll(false);
 				dlg.panelMain.panelTop.noTopButton.setEnabled(true);
 				dlg.panelMain.panelTop.canTopButton.setEnabled(true);
 				dlg.panelMain.panelTop.panelCol.enableAll(false);
-				if (dlg.mark.getRegion() == Reg.A) {
+				dlg.panelMain.panelLit.panelCol.enableAll(false);
+				dlg.panelMain.panelLit.panelCol.offButton.setEnabled(true);
+				if (dlg.mark.getRegion() == Reg.B) {
+					dlg.panelMain.panelTop.panelCol.greenButton.setEnabled(true);
+					dlg.panelMain.panelTop.panelCol.greenButton.doClick();
+					dlg.panelMain.panelLit.panelCol.greenButton.setEnabled(true);
+					dlg.panelMain.panelLit.panelCol.greenButton.doClick();
+				} else {
 					dlg.panelMain.panelTop.panelCol.redButton.setEnabled(true);
 					dlg.panelMain.panelTop.panelCol.redButton.doClick();
-				} else {
-					dlg.panelMain.panelTop.panelCol.greenButton.setEnabled(true);
-					dlg.panelMain.panelTop.panelCol.greenButton.doClick();
+					dlg.panelMain.panelLit.panelCol.redButton.setEnabled(true);
+					dlg.panelMain.panelLit.panelCol.redButton.doClick();
 				}
 			}
@@ -66,10 +68,10 @@
 					dlg.mark.setShape(Shp.UNKNOWN);
 				}
-				if (dlg.mark.getRegion() == Reg.A) {
+				if (dlg.mark.getRegion() == Reg.B) {
+					dlg.mark.setColour(Ent.BODY, Col.GREEN);
+					panelPort.regionBButton.doClick();
+				} else {
 					dlg.mark.setColour(Ent.BODY, Col.RED);
 					panelPort.regionAButton.doClick();
-				} else {
-					dlg.mark.setColour(Ent.BODY, Col.GREEN);
-					panelPort.regionBButton.doClick();
 				}
 				portButton.setBorderPainted(true);
@@ -88,10 +90,10 @@
 					dlg.mark.setShape(Shp.UNKNOWN);
 				}
-				if (dlg.mark.getRegion() == Reg.A) {
+				if (dlg.mark.getRegion() == Reg.B) {
+					dlg.mark.setColour(Ent.BODY, Col.GREEN_RED_GREEN);
+					panelPort.regionBButton.doClick();
+				} else {
 					dlg.mark.setColour(Ent.BODY, Col.RED_GREEN_RED);
 					panelPort.regionAButton.doClick();
-				} else {
-					dlg.mark.setColour(Ent.BODY, Col.GREEN_RED_GREEN);
-					panelPort.regionBButton.doClick();
 				}
 				prefPortButton.setBorderPainted(true);
@@ -104,18 +106,20 @@
 			}
 			if (stbdButton.isSelected() || prefStbdButton.isSelected()) {
-				dlg.panelMain.topButton.setEnabled(true);
-				dlg.panelMain.fogButton.setEnabled(true);
-				dlg.panelMain.radButton.setEnabled(true);
-				dlg.panelMain.litButton.setEnabled(true);
 				dlg.panelMain.panelTop.enableAll(false);
 				dlg.panelMain.panelTop.noTopButton.setEnabled(true);
 				dlg.panelMain.panelTop.coneTopButton.setEnabled(true);
 				dlg.panelMain.panelTop.panelCol.enableAll(false);
-				if (dlg.mark.getRegion() == Reg.A) {
+				dlg.panelMain.panelLit.panelCol.enableAll(false);
+				dlg.panelMain.panelLit.panelCol.offButton.setEnabled(true);
+				if (dlg.mark.getRegion() == Reg.B) {
+					dlg.panelMain.panelTop.panelCol.redButton.setEnabled(true);
+					dlg.panelMain.panelTop.panelCol.redButton.doClick();
+					dlg.panelMain.panelLit.panelCol.redButton.setEnabled(true);
+					dlg.panelMain.panelLit.panelCol.redButton.doClick();
+				} else {
 					dlg.panelMain.panelTop.panelCol.greenButton.setEnabled(true);
 					dlg.panelMain.panelTop.panelCol.greenButton.doClick();
-				} else {
-					dlg.panelMain.panelTop.panelCol.redButton.setEnabled(true);
-					dlg.panelMain.panelTop.panelCol.redButton.doClick();
+					dlg.panelMain.panelLit.panelCol.greenButton.setEnabled(true);
+					dlg.panelMain.panelLit.panelCol.greenButton.doClick();
 				}
 			}
@@ -128,10 +132,10 @@
 					dlg.mark.setShape(Shp.UNKNOWN);
 				}
-				if (dlg.mark.getRegion() == Reg.A) {
+				if (dlg.mark.getRegion() == Reg.B) {
+					dlg.mark.setColour(Ent.BODY, Col.RED);
+					panelStbd.regionBButton.doClick();
+				} else {
 					dlg.mark.setColour(Ent.BODY, Col.GREEN);
 					panelStbd.regionAButton.doClick();
-				} else {
-					dlg.mark.setColour(Ent.BODY, Col.RED);
-					panelStbd.regionBButton.doClick();
 				}
 				stbdButton.setBorderPainted(true);
@@ -150,10 +154,10 @@
 					dlg.mark.setShape(Shp.UNKNOWN);
 				}
-				if (dlg.mark.getRegion() == Reg.A) {
+				if (dlg.mark.getRegion() == Reg.B) {
+					dlg.mark.setColour(Ent.BODY, Col.RED_GREEN_RED);
+					panelStbd.regionBButton.doClick();
+				} else {
 					dlg.mark.setColour(Ent.BODY, Col.GREEN_RED_GREEN);
 					panelStbd.regionAButton.doClick();
-				} else {
-					dlg.mark.setColour(Ent.BODY, Col.RED_GREEN_RED);
-					panelStbd.regionBButton.doClick();
 				}
 				prefStbdButton.setBorderPainted(true);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java	(revision 26297)
@@ -50,4 +50,11 @@
 	private ActionListener alCharButton = new ActionListener() {
 		public void actionPerformed(java.awt.event.ActionEvent e) {
+			if (noneButton.isSelected()) {
+				if (dlg.panelMain.panelLit.panelCol.offButton.isSelected()) {
+					dlg.panelMain.lightIcon.setIcon(null);
+				}
+			} else {
+				dlg.panelMain.lightIcon.setIcon(new ImageIcon(getClass().getResource("/images/Light_Green_120.png")));
+			}
 			JToggleButton source = (JToggleButton) e.getSource();
 			EnumSet<Chr> combo = EnumSet.noneOf(Chr.class);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 26297)
@@ -106,4 +106,5 @@
 		groupBox = new JTextField();
 		groupBox.setBounds(new Rectangle(135, 20, 40, 20));
+		groupBox.setHorizontalAlignment(SwingConstants.CENTER);
 		this.add(groupBox, null);
 		groupBox.addActionListener(alGroupBox);
@@ -206,4 +207,5 @@
 		this.add(exhibitionBox, null);
 		exhibitionBox.addActionListener(alExhibitionBox);
+		exhibitionBox.addItem("-");
 		exhibitionBox.addItem(Messages.getString("24h"));
 		exhibitionBox.addItem(Messages.getString("Day"));
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 26297)
@@ -91,5 +91,4 @@
 		radarIcon = new JLabel();
 		radarIcon.setBounds(new Rectangle(250, 0, 150, 185));
-		radarIcon.setIcon(new ImageIcon(getClass().getResource("/images/Radar_Station.png")));
 		this.add(radarIcon, null);
 		fogIcon = new JLabel();
@@ -268,6 +267,5 @@
 		lightIcon.setIcon(null);
 		topIcon.setIcon(null);
-		// radarIcon.setIcon(null);
-		radarIcon.setIcon(new ImageIcon(getClass().getResource("/images/Radar_Station.png")));
+		radarIcon.setIcon(null);
 		fogIcon.setIcon(null);
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java	(revision 26297)
@@ -15,4 +15,5 @@
 import oseam.Messages;
 import oseam.dialogs.OSeaMAction;
+import oseam.seamarks.SeaMark.Reg;
 import oseam.seamarks.SeaMark.Shp;
 import oseam.seamarks.SeaMark.Obj;
@@ -27,7 +28,22 @@
 	private ActionListener alRegion = new ActionListener() {
 		public void actionPerformed(java.awt.event.ActionEvent e) {
-			regionAButton.setBorderPainted(regionAButton.isSelected());
-			regionBButton.setBorderPainted(regionBButton.isSelected());
-			regionCButton.setBorderPainted(regionCButton.isSelected());
+			if (regionAButton.isSelected()) {
+				dlg.mark.setRegion(Reg.A);
+				regionAButton.setBorderPainted(true);
+			} else { 
+				regionAButton.setBorderPainted(false);
+			}
+			if (regionBButton.isSelected()) {
+				dlg.mark.setRegion(Reg.B);
+				regionBButton.setBorderPainted(true);
+			} else { 
+				regionBButton.setBorderPainted(false);
+			}
+			if (regionCButton.isSelected()) {
+				dlg.mark.setRegion(Reg.C);
+				regionCButton.setBorderPainted(true);
+			} else { 
+				regionCButton.setBorderPainted(false);
+			}
 			dlg.mark.paintSign();
 		}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java	(revision 26297)
@@ -17,4 +17,5 @@
 import oseam.seamarks.SeaMark.Shp;
 import oseam.seamarks.SeaMark.Obj;
+import oseam.seamarks.SeaMark.Reg;
 
 public class PanelStbd extends JPanel {
@@ -27,7 +28,22 @@
 	private ActionListener alRegion = new ActionListener() {
 		public void actionPerformed(java.awt.event.ActionEvent e) {
-			regionAButton.setBorderPainted(regionAButton.isSelected());
-			regionBButton.setBorderPainted(regionBButton.isSelected());
-			regionCButton.setBorderPainted(regionCButton.isSelected());
+			if (regionAButton.isSelected()) {
+				dlg.mark.setRegion(Reg.A);
+				regionAButton.setBorderPainted(true);
+			} else { 
+				regionAButton.setBorderPainted(false);
+			}
+			if (regionBButton.isSelected()) {
+				dlg.mark.setRegion(Reg.B);
+				regionBButton.setBorderPainted(true);
+			} else { 
+				regionBButton.setBorderPainted(false);
+			}
+			if (regionCButton.isSelected()) {
+				dlg.mark.setRegion(Reg.C);
+				regionCButton.setBorderPainted(true);
+			} else { 
+				regionCButton.setBorderPainted(false);
+			}
 			dlg.mark.paintSign();
 		}
@@ -51,4 +67,40 @@
 					dlg.mark.setShape(shp);
 					dlg.mark.setObject(objects.get(shp));
+					switch (shp) {
+					case UNKNOWN:
+							dlg.panelMain.shapeIcon.setIcon(null);
+					case PILLAR:
+// *************
+						dlg.panelMain.topButton.setEnabled(true);
+						dlg.panelMain.fogButton.setEnabled(true);
+						dlg.panelMain.radButton.setEnabled(true);
+						dlg.panelMain.litButton.setEnabled(true);
+// *************
+						switch (dlg.mark.getRegion()) {
+						case A:
+							dlg.panelMain.shapeIcon.setIcon(new ImageIcon(getClass().getResource("/images/pillar_green.png")));
+							break;
+						case B:
+							dlg.panelMain.shapeIcon.setIcon(new ImageIcon(getClass().getResource("/images/pillar_red.png")));
+							break;
+						case C:
+							dlg.panelMain.shapeIcon.setIcon(new ImageIcon(getClass().getResource("/images/pillar_green;white;green;white.png")));
+							break;
+						}
+						break;
+					case SPAR:
+						switch (dlg.mark.getRegion()) {
+						case A:
+							dlg.panelMain.shapeIcon.setIcon(new ImageIcon(getClass().getResource("/images/spar_green.png")));
+							break;
+						case B:
+							dlg.panelMain.shapeIcon.setIcon(new ImageIcon(getClass().getResource("/images/spar_red.png")));
+							break;
+						case C:
+							dlg.panelMain.shapeIcon.setIcon(new ImageIcon(getClass().getResource("/images/spar_green;white;green;white.png")));
+							break;
+						}
+						break;
+					}
 					button.setBorderPainted(true);
 				} else
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 26297)
@@ -36,6 +36,5 @@
 	public JRadioButton diamondDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/DiamondDayButton.png")));
 	public JRadioButton triangleDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TriangleDayButton.png")));
-	public JRadioButton triangleInvDayButton = new JRadioButton(new ImageIcon(getClass().getResource(
-			"/images/TriangleInvDayButton.png")));
+	public JRadioButton triangleInvDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TriangleInvDayButton.png")));
 	public JRadioButton squareDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SquareDayButton.png")));
 	public JRadioButton circleDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/CircleDayButton.png")));
@@ -50,4 +49,30 @@
 					dlg.mark.setTopmark(top);
 					dlg.mark.setDaymark(Day.NONE);
+					switch (top) {
+					case NONE:
+							dlg.panelMain.topIcon.setIcon(null);
+					case CAN:
+						switch (dlg.mark.getRegion()) {
+						case A:
+						case C:
+							dlg.panelMain.topIcon.setIcon(new ImageIcon(getClass().getResource("/images/top_ih_cylinder_red.png")));
+							break;
+						case B:
+							dlg.panelMain.topIcon.setIcon(new ImageIcon(getClass().getResource("/images/top_ih_cylinder_green.png")));
+							break;
+						}
+						break;
+					case CONE:
+						switch (dlg.mark.getRegion()) {
+						case A:
+						case C:
+							dlg.panelMain.topIcon.setIcon(new ImageIcon(getClass().getResource("/images/top_ih_cone, point up_green.png")));
+							break;
+						case B:
+							dlg.panelMain.topIcon.setIcon(new ImageIcon(getClass().getResource("/images/top_ih_cone, point up_red.png")));
+							break;
+						}
+						break;
+					}
 					button.setBorderPainted(true);
 				} else
@@ -102,4 +127,8 @@
 			button.setEnabled(state);
 		}
+		for (JRadioButton button : days.values()) {
+			button.setEnabled(state);
+		}
+		mooringTopButton.setEnabled(state);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java	(revision 26268)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java	(revision 26297)
@@ -27,5 +27,5 @@
 	
 	public enum Reg {
-		A, B
+		A, B, C
 	}
 