Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberTable.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberTable.java	(revision 26509)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/RelationMemberTable.java	(revision 26666)
@@ -39,11 +39,9 @@
 
 /**
- * RelationMemberTable is the table for editing the raw member list of 
+ * RelationMemberTable is the table for editing the raw member list of
  * a turn restriction.
- * 
+ *
  */
 public class RelationMemberTable extends JTable {
-    static private final Logger logger = Logger.getLogger(RelationMemberTable.class.getName());
-    
     private TurnRestrictionEditorModel model;
     private DeleteAction actDelete;
@@ -52,5 +50,5 @@
     private MoveDownAction actMoveDown;
     private TransferHandler transferHandler;
-    
+
     public RelationMemberTable(TurnRestrictionEditorModel model) {
         super(
@@ -67,10 +65,10 @@
         // register the popup menu launcher
         addMouseListener(new TablePopupLauncher());
-        
+
         // transfer handling
         setDragEnabled(true);
         setTransferHandler(new RelationMemberTransferHandler());
         setDropTarget(new RelationMemberTableDropTarget());
-        
+
         // initialize the delete action
         //
@@ -78,13 +76,13 @@
         model.getRelationMemberEditorModel().getRowSelectionModel().addListSelectionListener(actDelete);
         registerKeyboardAction(actDelete, KeyStroke.getKeyStroke(KeyEvent.VK_DELETE,0), WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
-        
+
         // initialize the paste action (will be used in the popup, the action map already includes
-        // the standard paste action for transfer handling) 
+        // the standard paste action for transfer handling)
         actPaste = new PasteAction();
-        
+
         actMoveUp = new MoveUpAction();
         model.getRelationMemberEditorModel().getRowSelectionModel().addListSelectionListener(actMoveUp);
         registerKeyboardAction(actMoveUp,actMoveUp.getKeyStroke(), WHEN_FOCUSED);
-        
+
         actMoveDown = new MoveDownAction();
         model.getRelationMemberEditorModel().getRowSelectionModel().addListSelectionListener(actMoveDown);
@@ -93,6 +91,6 @@
 
     /**
-     * The action for deleting the selected table cells 
-     * 
+     * The action for deleting the selected table cells
+     *
      */
     class DeleteAction extends AbstractAction implements ListSelectionListener{
@@ -104,5 +102,5 @@
             updateEnabledState();
         }
-        
+
         public void updateEnabledState() {
             setEnabled(model.getRelationMemberEditorModel().getRowSelectionModel().getMinSelectionIndex()>=0);
@@ -116,11 +114,11 @@
             updateEnabledState();
         }
-    }   
-    
+    }
+
     /**
      * The action for pasting into the relation member table
-     * 
+     *
      */
-    class PasteAction extends AbstractAction{       
+    class PasteAction extends AbstractAction{
         public PasteAction() {
             putValue(NAME, tr("Paste"));
@@ -130,5 +128,5 @@
             updateEnabledState();
         }
-        
+
         public void updateEnabledState() {
             DataFlavor[] flavors = Toolkit.getDefaultToolkit().getSystemClipboard().getAvailableDataFlavors();
@@ -156,9 +154,9 @@
             } catch(UnsupportedFlavorException e){
                 e.printStackTrace();
-            } 
-        }
-    }   
-
-    class MoveDownAction extends AbstractAction implements ListSelectionListener{   
+            }
+        }
+    }
+
+    class MoveDownAction extends AbstractAction implements ListSelectionListener{
         private KeyStroke keyStroke = KeyStroke.getKeyStroke(KeyEvent.VK_DOWN, KeyEvent.ALT_DOWN_MASK);
         public MoveDownAction(){
@@ -169,5 +167,5 @@
             updateEnabledState();
         }
-        
+
         public void actionPerformed(ActionEvent e) {
             model.getRelationMemberEditorModel().moveDownSelected();
@@ -177,7 +175,7 @@
             setEnabled(model.getRelationMemberEditorModel().canMoveDown());
         }
-        
+
         public void valueChanged(ListSelectionEvent e) {
-            updateEnabledState();           
+            updateEnabledState();
         }
         public KeyStroke getKeyStroke() {
@@ -185,5 +183,5 @@
         }
     }
-    
+
     class MoveUpAction extends AbstractAction implements ListSelectionListener{
         private KeyStroke keyStroke = KeyStroke.getKeyStroke(KeyEvent.VK_UP, KeyEvent.ALT_DOWN_MASK);
@@ -196,5 +194,5 @@
             updateEnabledState();
         }
-        
+
         public void actionPerformed(ActionEvent e) {
             model.getRelationMemberEditorModel().moveUpSelected();
@@ -204,7 +202,7 @@
             setEnabled(model.getRelationMemberEditorModel().canMoveUp());
         }
-        
+
         public void valueChanged(ListSelectionEvent e) {
-            updateEnabledState();           
+            updateEnabledState();
         }
         public KeyStroke getKeyStroke() {
@@ -212,5 +210,5 @@
         }
     }
-    
+
     class TablePopupLauncher extends PopupMenuLauncher {
         @Override
@@ -222,7 +220,7 @@
             }
             new PopupMenu().show(RelationMemberTable.this, evt.getX(), evt.getY());
-        }       
-    }
-    
+        }
+    }
+
     class PopupMenu extends JPopupMenu {
         public PopupMenu() {
@@ -237,11 +235,11 @@
         }
     }
-    
+
     /**
-     * The transfer handler for the relation member table. 
+     * The transfer handler for the relation member table.
      *
      */
     class RelationMemberTransferHandler extends TransferHandler {
-        
+
         @Override
         public boolean canImport(JComponent comp, DataFlavor[] transferFlavors) {
@@ -266,5 +264,5 @@
             } catch(UnsupportedFlavorException e){
                 e.printStackTrace();
-            } 
+            }
             return false;
         }
@@ -275,13 +273,13 @@
         }
     }
-    
+
     /**
      * A custom drop target for the relation member table. During dragging we need to
-     * disable colum selection model.  
+     * disable colum selection model.
      *
      */
-    class RelationMemberTableDropTarget extends DropTarget{     
-        private boolean dropAccepted = false;   
-        
+    class RelationMemberTableDropTarget extends DropTarget{
+        private boolean dropAccepted = false;
+
         /**
          * Replies true if {@code transferFlavors} includes the data flavor {@link PrimitiveIdTransferable#PRIMITIVE_ID_LIST_FLAVOR}.
@@ -295,10 +293,10 @@
             }
             return false;
-        }       
-        
+        }
+
         public synchronized void dragEnter(DropTargetDragEvent dtde) {
             if (isSupportedFlavor(dtde.getCurrentDataFlavors())) {
                 if ((dtde.getSourceActions() & DnDConstants.ACTION_COPY_OR_MOVE) != 0){
-                    dtde.acceptDrag(DnDConstants.ACTION_COPY_OR_MOVE);      
+                    dtde.acceptDrag(DnDConstants.ACTION_COPY_OR_MOVE);
                     setColumnSelectionAllowed(false);
                     dropAccepted  = true;
@@ -310,10 +308,10 @@
             }
         }
-        
+
         public synchronized void dragExit(DropTargetEvent dte) {
             setColumnSelectionAllowed(true);
             dropAccepted = false;
         }
-        
+
         @Override
         public synchronized void dragOver(DropTargetDragEvent dtde) {
@@ -322,10 +320,10 @@
             if (row >= 0 && row != selectedRow){
                 getSelectionModel().setSelectionInterval(row, row);
-            }           
+            }
         }
 
         public synchronized void drop(DropTargetDropEvent dtde) {
             try {
-                if (!dropAccepted) return; 
+                if (!dropAccepted) return;
                 if ((dtde.getSourceActions() & DnDConstants.ACTION_COPY_OR_MOVE) == 0) {
                     return;
@@ -347,5 +345,5 @@
             }
         }
-        
+
         public synchronized void dropActionChanged(DropTargetDragEvent dtde) {
             if ((dtde.getSourceActions() & DnDConstants.ACTION_COPY_OR_MOVE) == 0) {