Index: applications/editors/josm/plugins/tag2link/resources/tag2link_sources.xml
===================================================================
--- applications/editors/josm/plugins/tag2link/resources/tag2link_sources.xml	(revision 26932)
+++ applications/editors/josm/plugins/tag2link/resources/tag2link_sources.xml	(revision 26934)
@@ -22,19 +22,19 @@
 
     <source name="Common">
-       <rule>
-           <condition k="website" />
-           <link name="View website" href="%v%" />
-       </rule>
-       <rule>
-           <condition k="url" />
-           <link name="View URL" href="%v%" />
-       </rule>
+        <rule>
+            <condition k="website" />
+            <link name="View website" href="%v%" />
+        </rule>
+        <rule>
+            <condition k="url" />
+            <link name="View URL" href="%v%" />
+        </rule>
     </source>
     
     <source name="Wikipedia">
-       <rule>
-           <condition k="wikipedia(?::([\p{Lower}]{2,}))?" v="(?:([\p{Lower}]{2,}):)?(.*)" />
-           <link name="View %name% article" href="http://%k.1:v.1:en%.wikipedia.org/wiki/%v.2:v.1%" />
-       </rule>
+        <rule>
+            <condition k="wikipedia(?::([\p{Lower}]{2,}))?" v="(?:([\p{Lower}]{2,}):)?(.*)" />
+            <link name="View %name% article" href="http://%k.1:v.1:en%.wikipedia.org/wiki/%v.2:v.1%" />
+        </rule>
     </source>
     
@@ -42,53 +42,60 @@
     
     <source name="SANDRE" country-code="FR">
-       <rule>
-           <condition k="ref:sandre" v="[A-Z0-9-]{8}" />
-           <link name="View %name% sheet of river" href="http://services.sandre.eaufrance.fr/Courdo/Fiche/client/fiche_courdo.php?CdSandre=%v%" />
-       </rule>
+        <rule>
+            <condition k="ref:sandre" v="[A-Z0-9-]{8}" />
+            <link name="View %name% sheet of river" href="http://services.sandre.eaufrance.fr/Courdo/Fiche/client/fiche_courdo.php?CdSandre=%v%" />
+        </rule>
     </source>
     
     <source name="INSEE" country-code="FR">
-       <rule>
-           <condition k="admin_level" v="8"/>
-           <condition k="ref:INSEE" v="(\p{Digit}{2})(\p{Digit}{3})" id="ref"/>
-           <link name="View %name% municipality sheet" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/fichecommunale.asp?codedep=%ref.v.1%&amp;codecom=%ref.v.2%" />
-       </rule>
-       <rule>
-           <condition k="political_division" v="FR:canton"/>
-           <condition k="ref:INSEE" v="(\p{Digit}{2})(\p{Digit}{2})" id="ref"/>
-           <link name="View %name% map of municipalities" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_comcan.asp?codecan=%ref.v%" />
-           <link name="View %name% list of municipalities" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/comcan.asp?codedep={ref.v.1}&amp;codecan=%ref.v.2%" />
-       </rule>
-       <rule>
-           <condition k="admin_level" v="7"/>
-           <condition k="ref:INSEE" v="(\p{Digit}{2})(\p{Digit}{1})" id="ref"/>
-           <link name="View %name% map of cantons" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_canarr.asp?codearr=%ref.v%" />
-           <link name="View %name% list of cantons" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/canarr.asp?codedep=%ref.v.1%&amp;codearr=%ref.v.2%" />
-       </rule>
-       <rule>
-           <condition k="admin_level" v="6"/>
-           <condition k="ref:INSEE" v="\p{Digit}{2}" id="ref"/>
-           <link name="View %name% map of arrondissements" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_arrdep.asp?codedep=%ref.v%" />
-           <link name="View %name% list of arrondissements" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/arrdep.asp?codedep=%ref.v%" />
-       </rule>
-       <rule>
-           <condition k="admin_level" v="4"/>
-           <condition k="ref:INSEE" v="\p{Digit}{2}" id="ref"/>
-           <link name="View %name% map of departments" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_depreg.asp?codereg=%ref.v%" />
-           <link name="View %name% list of departments" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/depreg.asp?codereg=%ref.v%" />
-       </rule>
-       <rule>
-           <condition k="admin_level" v="2"/>
-           <condition k="name" v="France*"/>
-           <link name="View %name% map of regions" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_regions.asp" />
-           <link name="View %name% list of regions" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/region.asp" />
-       </rule>
+        <rule>
+            <condition k="admin_level" v="8"/>
+            <condition k="ref:INSEE" v="(\p{Digit}{2})(\p{Digit}{3})" id="ref"/>
+            <link name="View %name% municipality sheet" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/fichecommunale.asp?codedep=%ref.v.1%&amp;codecom=%ref.v.2%" />
+        </rule>
+        <rule>
+            <condition k="political_division" v="FR:canton"/>
+            <condition k="ref:INSEE" v="(\p{Digit}{2})(\p{Digit}{2})" id="ref"/>
+            <link name="View %name% map of municipalities" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_comcan.asp?codecan=%ref.v%" />
+            <link name="View %name% list of municipalities" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/comcan.asp?codedep={ref.v.1}&amp;codecan=%ref.v.2%" />
+        </rule>
+        <rule>
+            <condition k="admin_level" v="7"/>
+            <condition k="ref:INSEE" v="(\p{Digit}{2})(\p{Digit}{1})" id="ref"/>
+            <link name="View %name% map of cantons" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_canarr.asp?codearr=%ref.v%" />
+            <link name="View %name% list of cantons" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/canarr.asp?codedep=%ref.v.1%&amp;codearr=%ref.v.2%" />
+        </rule>
+        <rule>
+            <condition k="admin_level" v="6"/>
+            <condition k="ref:INSEE" v="\p{Digit}{2}" id="ref"/>
+            <link name="View %name% map of arrondissements" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_arrdep.asp?codedep=%ref.v%" />
+            <link name="View %name% list of arrondissements" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/arrdep.asp?codedep=%ref.v%" />
+        </rule>
+        <rule>
+            <condition k="admin_level" v="4"/>
+            <condition k="ref:INSEE" v="\p{Digit}{2}" id="ref"/>
+            <link name="View %name% map of departments" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_depreg.asp?codereg=%ref.v%" />
+            <link name="View %name% list of departments" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/depreg.asp?codereg=%ref.v%" />
+        </rule>
+        <rule>
+            <condition k="admin_level" v="2"/>
+            <condition k="name" v="France*"/>
+            <link name="View %name% map of regions" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/carte_regions.asp" />
+            <link name="View %name% list of regions" href="http://www.insee.fr/fr/methodes/nomenclatures/cog/region.asp" />
+        </rule>
     </source>
     
     <source name="CEF" country-code="FR">
-       <rule>
-           <condition k="ref:CEF" v="[A-Z0-9_]{8}" />
-           <link name="View %name% sheet of church" href="http://www.messesinfo.catholique.fr/public/fiche.php?valcode=%v%" />
-       </rule>
+        <rule>
+            <condition k="ref:CEF" v="[A-Z0-9_]{8}" />
+            <link name="View %name% sheet of church" href="http://www.messesinfo.catholique.fr/public/fiche.php?valcode=%v%" />
+        </rule>
+    </source>
+
+    <source name="MHS" country-code="FR">
+        <rule>
+            <condition k="ref:mhs" v="\p{Upper}{2}\p{Digit}{8}" />
+            <link name="View Mérimée sheet of monument" href="http://www.culture.gouv.fr/public/mistral/mersri_fr?ACTION=CHERCHER&amp;FIELD_1=REF&amp;VALUE_1=%v%" />
+        </rule>
     </source>
     
Index: applications/editors/josm/plugins/tag2link/src/org/openstreetmap/josm/plugins/tag2link/Tag2LinkPlugin.java
===================================================================
--- applications/editors/josm/plugins/tag2link/src/org/openstreetmap/josm/plugins/tag2link/Tag2LinkPlugin.java	(revision 26932)
+++ applications/editors/josm/plugins/tag2link/src/org/openstreetmap/josm/plugins/tag2link/Tag2LinkPlugin.java	(revision 26934)
@@ -30,4 +30,5 @@
  * @version 0.1b
  * History:
+ * 0.1c 23-Oct-2011 add MHS rule (French heritage)
  * 0.1b 22-Oct-2011 add CEF rule (French christian churches)
  * 0.1  22-Oct-2011 first working prototype